aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorNuoHan Qiao <qiaonuohan@cn.fujitsu.com>2016-03-16 05:11:09 -0400
committerNuoHan Qiao <qiaonuohan@cn.fujitsu.com>2016-04-18 22:01:41 -0400
commita38fb89bcfeaa3373c825177e6ef0be3d7fa59c9 (patch)
tree2d5823c0d3433caf41de47390cce010cfa062957
parent6bedec395714ff32e1ff9cb9fdc7da7063509a28 (diff)
Upgrade Jenkins to v1.642.4
Upgrade Jenkins from 1.509.2 to 1.642.4. The new version will fix some security problem. Please check the following URL for more information about security. Change-Id: If26fb2dc94e6055beca7b3430b5c49f0276bd2a6 Signed-off-by: NuoHan Qiao <qiaonuohan@cn.fujitsu.com>
-rw-r--r--Dockerfile6
-rw-r--r--frontend-install/jenkins_1.509.2_all.debbin48731162 -> 0 bytes
-rwxr-xr-xinstall.sh34
3 files changed, 38 insertions, 2 deletions
diff --git a/Dockerfile b/Dockerfile
index 9e86833..cdb592f 100644
--- a/Dockerfile
+++ b/Dockerfile
@@ -21,8 +21,10 @@ RUN echo deb http://ftp.us.debian.org/debian jessie main non-free >> /etc/apt/so
RUN echo deb http://ftp.us.debian.org/debian jessie-updates main non-free >> /etc/apt/sources.list
RUN DEBIAN_FRONTEND=noninteractive apt-get update && apt-get -yV install apt-utils daemon gcc make python-paramiko python-lxml python-simplejson python-matplotlib libtool xmlstarlet autoconf automake rsync openjdk-7-jre openjdk-7-jdk iperf netperf netpipe-tcp texlive-latex-base sshpass wget git sudo net-tools vim openssh-server curl bzip2
RUN /bin/bash -c 'echo "dash dash/sh boolean false" | debconf-set-selections ; DEBIAN_FRONTEND=noninteractive dpkg-reconfigure dash'
-COPY frontend-install/jenkins_1.509.2_all.deb /jta-install/
-RUN dpkg -i /jta-install/jenkins_1.509.2_all.deb
+#COPY frontend-install/jenkins_1.509.2_all.deb /jta-install/
+#RUN dpkg -i /jta-install/jenkins_1.509.2_all.deb
+COPY frontend-install/jenkins_1.642.4_all.deb /jta-install/
+RUN dpkg -i /jta-install/jenkins_1.642.4_all.deb
RUN /bin/bash -c 'wget -nv "http://downloads.sourceforge.net/project/getfo/texml/texml-2.0.2/texml-2.0.2.tar.gz?r=http%3A%2F%2Fsourceforge.net%2Fprojects%2Fgetfo%2F&ts=1398789654&use_mirror=sunet" -O texml.tar.gz ; tar xvf texml.tar.gz; cd texml-2.0.2 ; python setup.py install; cd -'
# ==============================================================================
diff --git a/frontend-install/jenkins_1.509.2_all.deb b/frontend-install/jenkins_1.509.2_all.deb
deleted file mode 100644
index 1c58226..0000000
--- a/frontend-install/jenkins_1.509.2_all.deb
+++ /dev/null
Binary files differ
diff --git a/install.sh b/install.sh
index 7c253d0..c210578 100755
--- a/install.sh
+++ b/install.sh
@@ -1 +1,35 @@
+JENKINS_PKG=jenkins_1.642.4_all.deb
+JENKINS_MD5="ff5078b39a4a82d78540bfd72f60b577"
+JENKINS_DOWNLOAD_SITE="http://pkg.jenkins-ci.org/debian-stable/binary/$JENKINS_PKG"
+RETRY_MAX=3
+
+# check if jenkins exists
+jenkins_md5=0
+if [[ -f "frontend-install/$JENKINS_PKG" ]]; then
+ jenkins_md5=`md5sum "frontend-install/$JENKINS_PKG" | awk '{print $1}'`
+fi
+
+# check if md5 of jenkins matches
+if [[ "$JENKINS_MD5" == "$jenkins_md5" ]]; then
+ echo "Jenkins has already been downloaded."
+else
+ retry=1
+
+ # retry some times
+ until wget -nv "$JENKINS_DOWNLOAD_SITE" -O "frontend-install/$JENKINS_PKG"
+ do
+ if [[ "$retry" -gt "$RETRY_MAX" ]]; then
+ echo "Failed to download jenkins..."
+ echo -e "\033[31mPlease download $JENKINS_PKG manually, "\
+ "put it under 'frontend-install/',\nand rerun './install'\033[0m"
+
+ exit 1
+ fi
+ retry=$((retry+1))
+
+ echo "Retrying wget -nv $JENKINS_DOWNLOAD_SITE -O frontend-install/$JENKINS_PKG"
+ sleep 1
+ done
+fi
+
sudo jta-host-scripts/docker-build.sh